| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Attrib::Processor Class Reference
AttributeEngine

Attribute Processor. More...

`#include <attribprocessor.h>`

Inheritance diagram for Attrib::Processor:
[legend]

## Public Member Functions
| Processor (Desc &, const char *linenm, uiString &errmsg)
| Processor (Desc &, const Pos::GeomID &, uiString &errmsg)
| ~Processor ()
void | addOutput (Output *)
void | addOutputInterest (int sel)
void | computeAndSetRefZStepAndZ0 ()
const char * | getAttribName () const
const char * | getAttribUserRef () const
Provider * | getProvider ()
void | init ()
virtual bool | isOK () const
int | nextStep () override
od_int64 | nrDone () const override
void | setGeomID (const Pos::GeomID &)
void | setLineName (const char *)
void | setRdmPaths (const TypeSet< BinID > &truepath, const TypeSet< BinID > &snappedpath)
bool | setZIntervals (TypeSet< Interval< int > > &, const BinID &, const Coord &, const TrcKey &)
void | showDataAvailabilityErrors (bool yn)
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< Attrib::Processor > | moveonly
RefObjectSet< Output > | outputs_
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Protected Member Functions
void | computeAndSetPosAndDesVol (TrcKeyZSampling &)
void | defineGlobalOutputSpecs (TypeSet< int > &, TrcKeyZSampling &)
void | fullProcess (const SeisTrcInfo *)
bool | isHidingDataAvailabilityError () const
void | prepareForTableOutput ()
void | useFullProcess (int &)
void | useSCProcess (int &)
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
RefMan< Desc > | desc_
uiString | errmsg_
bool | is2d_ = false
bool | isinited_ = false
int | nrdone_ = 0
int | nriter_ = 0
TypeSet< int > | outpinterest_
BinID | prevbid_
RefMan< Provider > | provider_
Seis::SelData * | sd_ = nullptr
bool | showdataavailabilityerrors_ = true
bool | useshortcuts_ = false
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Attribute Processor.

<>

## Constructor & Destructor Documentation

## ◆ Processor() [1/2]

Attrib::Processor::Processor | ( | Desc & | ,
|  | const Pos::GeomID & | ,
|  | uiString & | errmsg )

## ◆ ~Processor()

Attrib::Processor::~Processor | ( |  | ) |

## ◆ Processor() [2/2]

Attrib::Processor::Processor | ( | Desc & | ,
|  | const char * | linenm,
|  | uiString & | errmsg )

## Member Function Documentation

## ◆ addOutput()

void Attrib::Processor::addOutput | ( | Output * |  | ) |

## ◆ addOutputInterest()

void Attrib::Processor::addOutputInterest | ( | int | sel | ) |

## ◆ computeAndSetPosAndDesVol()

void Attrib::Processor::computeAndSetPosAndDesVol | ( | TrcKeyZSampling & |  | ) |
| protected

## ◆ computeAndSetRefZStepAndZ0()

void Attrib::Processor::computeAndSetRefZStepAndZ0 | ( |  | ) |

## ◆ defineGlobalOutputSpecs()

void Attrib::Processor::defineGlobalOutputSpecs | ( | TypeSet< int > & | ,
|  | TrcKeyZSampling & | )
| protected

## ◆ fullProcess()

void Attrib::Processor::fullProcess | ( | const SeisTrcInfo * |  | ) |
| protected

## ◆ getAttribName()

const char * Attrib::Processor::getAttribName | ( |  | ) | const

## ◆ getAttribUserRef()

const char * Attrib::Processor::getAttribUserRef | ( |  | ) | const

## ◆ getProvider()

Provider * Attrib::Processor::getProvider | ( |  | ) |
| inline

## ◆ init()

void Attrib::Processor::init | ( |  | ) |

## ◆ isHidingDataAvailabilityError()

bool Attrib::Processor::isHidingDataAvailabilityError | ( |  | ) | const
| protected

## ◆ isOK()

virtual bool Attrib::Processor::isOK | ( |  | ) | const
| virtual

## ◆ nextStep()

int Attrib::Processor::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 Attrib::Processor::nrDone | ( |  | ) | const
| override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ prepareForTableOutput()

void Attrib::Processor::prepareForTableOutput | ( |  | ) |
| protected

## ◆ setGeomID()

void Attrib::Processor::setGeomID | ( | const Pos::GeomID & |  | ) |

## ◆ setLineName()

void Attrib::Processor::setLineName | ( | const char * |  | ) |

## ◆ setRdmPaths()

void Attrib::Processor::setRdmPaths | ( | const TypeSet< BinID > & | truepath,
|  | const TypeSet< BinID > & | snappedpath )

## ◆ setZIntervals()

bool Attrib::Processor::setZIntervals | ( | TypeSet< Interval< int > > & | ,
|  | const BinID & | ,
|  | const Coord & | ,
|  | const TrcKey & | )

## ◆ showDataAvailabilityErrors()

void Attrib::Processor::showDataAvailabilityErrors | ( | bool | yn | ) |

## ◆ totalNr()

od_int64 Attrib::Processor::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString Attrib::Processor::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString Attrib::Processor::uiNrDoneText | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ useFullProcess()

void Attrib::Processor::useFullProcess | ( | int & |  | ) |
| protected

## ◆ useSCProcess()

void Attrib::Processor::useSCProcess | ( | int & |  | ) |
| protected

## Member Data Documentation

## ◆ desc_

RefMan<Desc> Attrib::Processor::desc_
| protected

## ◆ errmsg_

uiString Attrib::Processor::errmsg_
| protected

## ◆ is2d_

bool Attrib::Processor::is2d_ = false
| protected

## ◆ isinited_

bool Attrib::Processor::isinited_ = false
| protected

## ◆ moveonly

Notifier<Attrib::Processor> Attrib::Processor::moveonly

triggered after a position is reached that requires no processing, e.g. during initial buffer fills.

## ◆ nrdone_

int Attrib::Processor::nrdone_ = 0
| protected

## ◆ nriter_

int Attrib::Processor::nriter_ = 0
| protected

## ◆ outpinterest_

TypeSet<int> Attrib::Processor::outpinterest_
| protected

## ◆ outputs_

RefObjectSet<Output> Attrib::Processor::outputs_

## ◆ prevbid_

BinID Attrib::Processor::prevbid_
| protected

## ◆ provider_

RefMan<Provider> Attrib::Processor::provider_
| protected

## ◆ sd_

Seis::SelData* Attrib::Processor::sd_ = nullptr
| protected

## ◆ showdataavailabilityerrors_

bool Attrib::Processor::showdataavailabilityerrors_ = true
| protected

## ◆ useshortcuts_

bool Attrib::Processor::useshortcuts_ = false
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025